# TODO: should it be renamed? import name is "yaml", but source, egg and pypi names are "PyYAML"
#
# Conditional build:
%bcond_without  python2 # CPython 2.x module
%bcond_without  python3 # CPython 3.x module

%define		module		PyYAML
Summary:	YAML parser and emitter module for Python 2
Summary(pl.UTF-8):	Analizator i generator formatu YAML dla języka Python 2
Name:		python-%{module}
Version:	4.1
Release:	1
License:	MIT
Group:		Libraries/Python
Source0:	https://github.com/yaml/pyyaml/archive/%{version}.tar.gz
# Source0-md5:	9e4e48a27e42c28b39cdf4bf9b781f28
URL:		https://github.com/yaml/pyyaml
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	yaml-devel
%if %{with python2}
BuildRequires:	python-Cython
BuildRequires:	python-devel >= 1:2.7
BuildRequires:	python-modules >= 1:2.7
%endif
%if %{with python3}
BuildRequires:	python3-Cython
BuildRequires:	python3-devel >= 1:3.4
BuildRequires:	python3-modules >= 1:3.4
%endif
Requires:	python-modules >= 1:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
YAML is a data serialization format designed for human readability and
interaction with scripting languages. PyYAML is a YAML parser and
emitter for Python.

PyYAML features a complete YAML 1.1 parser, Unicode support, pickle
support, capable extension API, and sensible error messages. PyYAML
supports standard YAML tags and provides Python-specific tags that
allow to represent an arbitrary Python object.

PyYAML is applicable for a broad range of tasks from complex
configuration files to object serialization and persistance.

%description -l pl.UTF-8
YAML jest formatem serializacji danych czytelnym dla człowieka,
zaprojektowanym do interakcji w językach skryptowych. PyYAML jest
analizatorem i generatorem tego formatu dla języka Python.

PyYAML posiada obsługę pełnej analizy YAML 1.1, Unicode, serializację
poprzez piklowanie, rozszerzalne API oraz zrozumiałe komunikaty
błędów. Obsługuje standardowe znaczniki YAML i dostarcza nowe,
specyficzne dla języka Python, pozwalające na reprezentację jego
obiektów.

PyYAML może być użyty w szerokiej gamie zastosowań, od złożonych
plików konfiguracyjnych po serializację i przechowywanie obiektów.

%package -n python3-%{module}
Summary:	YAML parser and emitter module for Python 3
Summary(pl.UTF-8):	Analizator i generator formatu YAML dla języka Python 3
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.4

%description -n python3-%{module}
PyYAML features a complete YAML 1.1 parser, Unicode support, pickle
support, capable extension API, and sensible error messages. PyYAML
supports standard YAML tags and provides Python-specific tags that
allow to represent an arbitrary Python object.

%description -n python3-%{module} -l pl.UTF-8
PyYAML posiada obsługę pełnej analizy YAML 1.1, Unicode, serializację
poprzez piklowanie, rozszerzalne API oraz zrozumiałe komunikaty
błędów. Obsługuje standardowe znaczniki YAML i dostarcza nowe,
specyficzne dla języka Python, pozwalające na reprezentację jego
obiektów.

%prep
%setup -q -n pyyaml-%{version}

%build
%if %{with python2}
CC="%{__cc}" \
CFLAGS="%{rpmcflags}" \
%{__python} setup.py --with-libyaml \
	build --build-base build-2 %{?with_tests:test}
%endif
%if %{with python3}
CC="%{__cc}" \
CFLAGS="%{rpmcflags}" \
%{__python3} setup.py --with-libyaml \
	build --build-base build-3 %{?with_tests:test}
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if %{with python2}
%py_install
%py_postclean
%endif
%if %{with python3}
%py3_install
%endif
%py_postclean

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -p examples/yaml-highlight/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGES LICENSE README
%dir %{py_sitedir}/yaml
%attr(755,root,root) %{py_sitedir}/_yaml.so
%{py_sitedir}/yaml/*.py[co]
%{py_sitedir}/PyYAML-%{version}-py*.egg-info
%{_examplesdir}/%{name}-%{version}
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc CHANGES LICENSE README
%dir %{py3_sitedir}/yaml
%{py3_sitedir}/yaml/*.py
%{py3_sitedir}/yaml/__pycache__
%attr(755,root,root) %{py3_sitedir}/_yaml.cpython-*.so
%{py3_sitedir}/PyYAML-%{version}-py*.egg-info
%endif
%changelog
* Sun Jul 01 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-PyYAML.git;a=log;h=master

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 79ff602
- up to 4.1

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 8ff89bc
- python 3.7 rebuild
- release 3 (by relup.sh)

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 74805ef
- python 3.6
- release 2 (by relup.sh)

* Thu Oct 13 2016 Jakub Bogusz <qboosh@pld-linux.org> bdf2691
- updated to 3.12

* Mon Nov 30 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> fc605b9
- release 7 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> d665513
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> cccc95d
- release 6 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> c9228ae
- automatic change: use py_build/py_install macros

* Mon Oct 05 2015 Jakub Bogusz <qboosh@pld-linux.org> 89a02ec
- distribute is obsolete

* Mon Oct 05 2015 Jakub Bogusz <qboosh@pld-linux.org> 90897fb
- cleanup, python version in summaries

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 3d56cc9
- rel 5; fix files

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 2e37228
- python3.5 rebuild
- release 4 (by relup.sh)

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> 4f2ed49
- x32 rebuild
- release 3 (by relup.sh)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> df4d2d8
- python 3.4
- release 2 (by relup.sh)

* Tue Sep 30 2014 Mateusz Korniak <matkor@pld-linux.org> 2b919d0
- Version 3.11-1. python3 modules added.

* Sat May 10 2014 Elan Ruusamäe <glen@delfi.ee> c2377d1
- rebuild with pythonegg deps
- release 2 (by relup.sh)

* Wed Oct 03 2012 Jacek Konieczny <jajcus@jajcus.net> fbdd132
- the name should be python-yaml

* Thu Jun 09 2011 lisu <lisu@pld-linux.org> d8c168b
- updated to 3.10
- adapterized

* Sat Feb 05 2011 sparky <sparky@pld-linux.org> 18a8bdf
- corrected lang tag in Summary

* Wed Jan 05 2011 Mateusz Korniak <matkor@pld-linux.org> 334d8e3
- Release 4. Enabled extra native LibYAML bindings.

